QBitVal(3qt)

NAME
QBitVal - Internal class, used with

#include <qbitarray.h>

  Public Members
QBitVal ( QBitArray * a, uint i )
operator int ()
QBitVal& operator= ( const QBitVal & v )
QBitVal& operator= ( bool v )

DESCRIPTION
The QBitVal class is an internal class, used with QBitArray.

The QBitVal is required by the indexing [] operator on bit arrays. It is probably a bad idea to use it in any other context.

MEMBER FUNCTION DOCUMENTATION

QBitVal::QBitVal ( QBitArray * a, uint i )
Constructs a reference to an element in a QBitArray. This is what QBitArray::operator[] constructs its return value with.

QBitVal::operator int ()
Returns the value referenced by the QBitVal.

QBitVal& QBitVal::operator= ( bool v )
Sets the value referenced by the QBitVal.

QBitVal& QBitVal::operator= ( const QBitVal & v )
Sets the value referenced by the QBitVal to that referenced by another QBitVal.

SEE ALSO
http://doc.trolltech.com/qbitval.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qbitval.3) and the Qt version (2.3.0).